<template>
	<view class="fright-forwarder-details">
		<view class="details">
			<view class="title"><text>承运商信息</text></view>
			<view class="">
				<uni-table border stripe emptyText="暂无更多数据">
					<uni-tr>
						<uni-th align="left">姓名</uni-th>
						<uni-td align="left">{{ HuoDaiForm.name }}</uni-td>
					</uni-tr>
					<uni-tr>
						<uni-th align="left">电话</uni-th>
						<uni-td align="left">{{ HuoDaiForm.phone }}</uni-td>
					</uni-tr>
					<uni-tr v-if="roleType == 2">
						<uni-th align="left">客户名称</uni-th>
						<uni-td align="left">{{ HuoDaiForm.customerName }}</uni-td>
					</uni-tr>
				</uni-table>
			</view>
		</view>
		<view class="details">
			<view class="title"><text>统计信息</text></view>
			<view class="">
				<uni-table border stripe emptyText="暂无更多数据">
					<uni-tr>
						<uni-th align="left">注册时间</uni-th>
						<uni-td align="left">{{ HuoDaiForm.createTime }}</uni-td>
					</uni-tr>
					<uni-tr>
						<uni-th align="left">管理车辆</uni-th>
						<uni-td align="left">{{ HuoDaiForm.cars }}</uni-td>
					</uni-tr>
					<uni-tr>
						<uni-th align="left">任务总数</uni-th>
						<uni-td align="left">{{ HuoDaiForm.sum || '' }}</uni-td>
					</uni-tr>
					<uni-tr>
						<uni-th align="left">执行完成</uni-th>
						<uni-td align="left">{{ HuoDaiForm.over }}</uni-td>
					</uni-tr>
				</uni-table>
			</view>
		</view>
	</view>
</template>

<script>
export default {
	data() {
		return {
			huoDaiId: null,
			userId: '',
			// 承运商详情信息表单
			HuoDaiForm: {}
		};
	},
	onLoad(v) {
		this.userId = v.userId;
	},
	onShow() {
		this.init();
	},
	computed: {
		roleType() {
			return uni.getStorageSync('roleType');
		}
	},
	methods: {
		init() {
			this.getHuoDaiDetail();
		},
		getHuoDaiDetail() {
			this.$reqGet('getHuoDaiDetail', { userId: this.userId }).then(res => {
				this.HuoDaiForm = res.data;
			});
		}
	}
};
</script>

<style lang="scss" scoped>
::v-deep.fright-forwarder-details {
	width: 94%;
	margin: 0 auto;
	.details {
		margin-top: vww(24);
		.title {
			color: #111111;
			font-weight: 400;
			border: 1px solid #eeeeee;
			padding: 0 vww(12) 0 vww(12);
			border-bottom: none;
			height: vww(40);
			line-height: vww(40);
			background-color: #f5f5f5;
		}
		.uni-table {
			min-width: 0 !important;

			.uni-table-tr {
				padding: 0;
				font-size: vww(16);
				font-weight: 300;
				.uni-table-th {
					height: vww(40);
					line-height: vww(30);
					padding: vww(5) vww(10);
					color: #333333;
					font-weight: 400;
				}

				.uni-table-td {
					height: vww(40);
					line-height: vww(30);
					padding: vww(5) vww(10);
					color: #333333;
				}
			}
		}
	}
}
</style>
